import { r as registerInstance, h, H as Host } from './index-a0453e17.js';
import { B as BEM } from './bem-c44dad2a.js';

const NavigationMainBody = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const mainBodyEl = BEM.block('nav').element('main').element('body');
    return (h(Host, { class: Object.assign({}, mainBodyEl.class()) }, h("slot", null)));
  }
};

export { NavigationMainBody as bal_navigation_main_body };
